import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { range, line, curveLinearClosed } from 'd3';
import { Star } from './Star';

// Tweak these.
const maxNodeNumber = 20;
const maxSkipFactor = 12;
const radius = 12;

const width = 1600;
const height = 900;
const centerX = width / 2;
const centerY = height / 2;

const data = [];

for (let i = 1; i < maxNodeNumber; i++) {
  for (let j = 0; j < maxSkipFactor; j++) {
    data.push({ i, j });
  }
}

const App = () => (
  <svg width={width} height={height}>
    <filter id="blur" x="-40%" y="-40%" width="180%" height="180%">
      <feGaussianBlur stdDeviation="1" result="blur" />
      <feMerge>
        <feMergeNode in="blur" />
        <feMergeNode in="blur" />
        <feMergeNode in="blur" />
      </feMerge>
    </filter>
    {data.map(({ i, j }) => (
      <Star
        nodeNumber={i + 2}
        skipFactor={j}
        radius={radius}
        //centerX={width / 2}
        //centerY={height / 2}
        centerX={(i / maxNodeNumber) * width}
        centerY={(j / maxSkipFactor) * height}
      />
    ))}
  </svg>
);
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
